{% extends 'base.html' %}

{% block contenido %}
<div class="container">
    {% if 'creado' in request.GET %}
    <br>
    <div class="row">
        <div class="col s12 m10 l10 offset-m1 offset-l1">
            <div class="chip green" style="padding: 5px 5px 5px 10px; width: 90%; height: 100%;">
                <i class=" close material-icons right white-text">close</i>
                <center>
                <h6 class="white-text">Producto creado correctamente.<h6>
                </center>
            </div>
        </div>
    </div>
    {% endif %} 
    <br>
    <center>
        <h3>
          Nuevo producto
        </h3>
    </center>

<!-- fields = {'claveProducto', 'codigoFabricante', 'nombreProducto',
    'descripcionProducto','precio','promos','diaGarantia','mesGarantia',
    'anioGarantia','cantidadProducto','categoria','marca',}  -->

    <form action="{% url 'crear_producto' %}" method="POST" class="col s12">
        {% csrf_token %}

        <div class="row">
            <div class="input-field col s12 m6 l6">
                <input id="claveProducto" type="text" name="claveProducto" 
                value="" class="validate" required>
                <label for="claveProducto">Clave de producto</label>
            </div>

            <div class="input-field col s12 m6 l6">
                <input id="codigoFabricante" type="text" name="codigoFabricante" 
                value="" class="validate" required>
                <label for="codigoFabricante">Código de fabricante</label>
            </div>

            <div class="input-field col s12">
                <input id="nombreProducto" type="text" name="nombreProducto" 
                value="" class="validate" required>
                <label for="nombreProducto">Nombre producto</label>
            </div>

            <div class="input-field col s12">
                <textarea id="descripcionProducto" class="materialize-textarea validate" name="descripcionProducto" required></textarea>
                <label for="descripcionProducto">Descripción</label>
            </div>

            <div class="input-field col s12 m6 l4">
                <input id="precio" type="number" name="precio" min="0" step="0.01"
                value="" class="validate" required>
                <label for="precio">Precio</label>
            </div>

            <div class="input-field col s12 m6 l4">
                <input id="promos" type="text" name="promos" 
                value="NP" class="validate" required>
                <label for="promos">Promociones</label>
            </div>

            <div class="input-field col s12 m6 l4">
                <input id="cantidadProducto" type="number" name="cantidadProducto" min="1"
                value="1" class="validate" required>
                <label for="cantidadProducto">Cantidad</label>
            </div>
<!--
            <div class="input-field col s12 m6 l6">
                <input id="categoria" type="text" name="categoria" 
                value="{{object.categoria|default_if_none:""}}" class="validate" required>
                <label for="categoria">Categoría</label>
            </div>
-->

            <div class="input-field col s12 m6 l6">
                <select required name="categoria" class="validate">
                  <option value="" disabled selected>Elegir categoría</option>

                  {% load productos_extras %}
                  {% get_categoria_list as categoria_list %}
                  {% for categoria in categoria_list %}
                    <option value="{{categoria.pk}}">{{categoria.nombreCategoria}}</option>
                  {% empty %}
                  no hay resultados jeje
                  {% endfor %}
                </select>
                <label>Categoría</label>
              </div>

              <div class="input-field col s12 m6 l6">
                <select required name="marca" validate>
                  <option value="" disabled selected>Elegir Marca</option>

                  {% load productos_extras %}
                  {% get_marca_list as marca_list %}
                  {% for marca in marca_list %}
                    <option value="{{marca.pk}}">{{marca.nombreMarca}}</option>
                  {% empty %}
                  no hay resultados jeje
                  {% endfor %}
                </select>
                <label>Marca</label>
              </div>
<!--
            <div class="input-field col s12 m6 l6">
                <input id="marca" type="text" name="marca" 
                value="{{object.marca|default_if_none:""}}" class="validate" required>
                <label for="marca">Marca</label>
            </div>
-->

        </div>
        <h6>Garantía:</h6>
        <div class="row">
            <div class="input-field col s12 m6 l4">
                <input id="diaGarantia" type="number" name="diaGarantia" min="0"
                value="0" class="validate" required>
                <label for="diaGarantia">Días</label>
            </div>

            <div class="input-field col s12 m6 l4">
                <input id="mesGarantia" type="number" name="mesGarantia" min="0"
                value="0" class="validate" required>
                <label for="mesGarantia">Meses</label>
            </div>

            <div class="input-field col s12 m6 l4">
                <input id="anioGarantia" type="number" name="anioGarantia" min="0"
                value="0" class="validate" required>
                <label for="anioGarantia">Años</label>
            </div>
        </div>

        <center>
        <button class="btn-large waves-effect waves-light" type="submit">
            Guardar
        </button>
        </center>
    </form>
    <br><br>
</div>
{% endblock contenido %}
{% block seccionjavascript %}
<script>
$(document).ready(function(){
    $('select').formSelect();
  });
</script>
{% endblock seccionjavascript %}